Bug 1260127 - SELinux is preventing gst-plugin-scan from using the 'dac_read_search' capabilities.
SELinux is preventing gst-plugin-scan from using the 'dac_read_search' capabi...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
21
x86_64 Unspecified
low Severity low
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:044186552167125c8c005df3472...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-04 09:34 EDT by harry
Modified: 2015-10-13 03:06 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-28 10:17:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description harry 2015-09-04 09:34:59 EDT
Description of problem:
SELinux is preventing gst-plugin-scan from using the 'dac_read_search' capabilities.

*****  Plugin dac_override (91.4 confidence) suggests   **********************

If you want to help identify if domain needs this access or you have a file with the wrong permissions on your system
Then turn on full auditing to get path information about the offending file and generate the error again.
Do

Turn on full auditing
# auditctl -w /etc/shadow -p w
Try to recreate AVC. Then execute
# ausearch -m avc -ts recent
If you see PATH record check ownership/permissions on file, and fix it, 
otherwise report as a bugzilla.

*****  Plugin catchall (9.59 confidence) suggests   **************************

If you believe that gst-plugin-scan should have the dac_read_search capability by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep gst-plugin-scan /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Objects                Unknown [ capability ]
Source                        gst-plugin-scan
Source Path                   gst-plugin-scan
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-105.20.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.1.5-100.fc21.x86_64 #1 SMP Tue
                              Aug 11 00:24:23 UTC 2015 x86_64 x86_64
Alert Count                   11
First Seen                    2015-09-04 08:27:19 CDT
Last Seen                     2015-09-04 08:27:20 CDT
Local ID                      5dde625f-06ae-4155-b189-d88610f40796

Raw Audit Messages
type=AVC msg=audit(1441373240.491:612): avc:  denied  { dac_read_search } for  pid=4631 comm="gsf-office-thum" capability=2  scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tclass=capability permissive=0


Hash: gst-plugin-scan,thumb_t,thumb_t,capability,dac_read_search

Version-Release number of selected component:
selinux-policy-3.13.1-105.20.fc21.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         4.1.5-100.fc21.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2015-09-11 06:37:12 EDT
Could you run 

Turn on full auditing
# auditctl -w /etc/shadow -p w
Try to recreate AVC. Then execute
# ausearch -m avc -ts recent
If you see PATH record check ownership/permissions on file, and fix it, 
otherwise report as a bugzilla.
Comment 2 harry 2015-09-28 10:17:36 EDT
I has to do with a missing directory, when the machine restarts two directories in the /var tree I am not sure why I was getting a Selinux denial for a file that is not there rather than a file not found from the application. I also have not found the process that was deleting the files on shutdown or start up. I have found a work around by moving the files to a different part of the /var tree.

Thanks for you time.
Comment 3 Miroslav Grepl 2015-10-13 03:06:11 EDT
Thank you.

Note You need to log in before you can comment on or make changes to this bug.